Index: frontend/src/Components/RestaurantDetails/Carousel.js
===================================================================
--- frontend/src/Components/RestaurantDetails/Carousel.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/RestaurantDetails/Carousel.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -12,5 +12,5 @@
             <Row className='d-flex justify-content-center align-items-center'><h2>Мени</h2></Row>
             <hr className='m-2'></hr>
-            <Menu menu={props.menu}></Menu>
+            <Menu images={props.images} menu={props.menu}></Menu>
         </>
     );
Index: frontend/src/Components/RestaurantDetails/Menu.js
===================================================================
--- frontend/src/Components/RestaurantDetails/Menu.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/RestaurantDetails/Menu.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -23,4 +23,6 @@
 
 
+
+
     return (<>
         <Carousel activeIndex={ind} onSelect={handleSelect} indicators={false}>
@@ -34,5 +36,8 @@
                                         return (
                                             <Col>
-                                                <MenuItem data={menuItem}/>
+                                                <MenuItem images={    props.images.filter(x => {
+                                                    console.log(x)
+                                                    return x.menu.menuId === menuItem.menuId
+                                                })} data={menuItem}/>
                                             </Col>
                                         )
Index: frontend/src/Components/RestaurantDetails/MenuItem.js
===================================================================
--- frontend/src/Components/RestaurantDetails/MenuItem.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/RestaurantDetails/MenuItem.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,8 +1,11 @@
 import React from "react";
 import {Col, Row, Image, Container} from "react-bootstrap";
+import Carousel from "react-bootstrap/Carousel";
 
 const MenuItem = (props) => {
 
     const data = props.data;
+    console.log("dva orla")
+    console.log(props)
     return (<>
 
@@ -17,13 +20,38 @@
                 <Row>
                     <Col className="d-flex justify-content-center mb-3">
-                        <Image
-                            src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
-                            style={{
-                                height: "7em",
-                                borderRadius: "1em",
-                                boxShadow: "0 4px 20px lightblue",
-                                maxWidth: "100%",
-                            }}
-                        ></Image>
+                        <Carousel>
+                            {props.images.map((image) => {
+                                let link = image.url;
+                                if (image.url.includes('Desktop')) {
+                                    link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
+                                }
+                                return (
+                                    <Carousel.Item>
+                                        <img
+                                            className="d-block w-100 h-400 rounded-5"
+                                            src={link}
+                                            alt="First slide"
+                                            style={{
+                                                height: "7em",
+                                                borderRadius: "1em",
+                                                boxShadow: "0 4px 20px lightblue",
+                                                maxWidth: "100%",
+                                            }}
+                                        />
+                                    </Carousel.Item>
+                                )
+                            })}
+                            {props.images.length == 0 && <Carousel.Item>
+                                <Image
+                                    src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
+                                    style={{
+                                        height: "7em",
+                                        borderRadius: "1em",
+                                        boxShadow: "0 4px 20px lightblue",
+                                        maxWidth: "100%",
+                                    }}
+                                ></Image>
+                            </Carousel.Item>}
+                        </Carousel>
                     </Col>
                 </Row>
Index: frontend/src/Components/RestaurantDetails/TablesTable.js
===================================================================
--- frontend/src/Components/RestaurantDetails/TablesTable.js	(revision e6c2521bc7455763be50cf2e37427887b6efb4b9)
+++ frontend/src/Components/RestaurantDetails/TablesTable.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -22,5 +22,7 @@
                 </thead>
                 <tbody>
-                {Array.from(new Set(props.data.map(x => x.restaurantTable))).map((table) => {
+                {Array.from(
+                    new Set(props.data.map((x) => JSON.stringify(x.restaurantTable)))
+                ).map((roomString) => JSON.parse(roomString)).map((table) => {
                     return (
                         <>
